# Generated by Django 4.2.7 on 2024-01-06 22:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('evercycle_models', '0003_alter_organization_parent_org'),
    ]

    operations = [
        migrations.CreateModel(
            name='Carrier',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('reference', models.CharField(max_length=50)),
                ('carrier_id', models.CharField(max_length=50)),
                ('description', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'carrier',
            },
        ),
        migrations.CreateModel(
            name='CarrierType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('f_id', models.CharField(max_length=100)),
                ('account_type_id', models.CharField(max_length=50)),
                ('account_type', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'carrier_type',
            },
        ),
        migrations.CreateModel(
            name='Certification',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
                ('url', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'certification',
            },
        ),
        migrations.CreateModel(
            name='Processor',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('name', models.CharField(max_length=50)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                              to='evercycle_models.address')),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                              to='evercycle_models.contact')),
            ],
            options={
                'db_table': 'processor',
            },
        ),
        migrations.CreateModel(
            name='ServiceLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('f_id', models.CharField(max_length=100)),
                ('carrier_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                                   to='evercycle_models.carriertype')),
            ],
            options={
                'db_table': 'service_level',
            },
        ),
        migrations.CreateModel(
            name='ServiceProvider',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('name', models.CharField(max_length=50)),
                ('logo', models.BinaryField(blank=True, null=True)),
                ('description', models.CharField(max_length=50)),
                ('device_specialization', models.CharField(max_length=255)),
                ('industry_specialization', models.CharField(max_length=255)),
                ('report_services', models.TextField()),
                ('warehouse_security', models.TextField()),
                ('audit_report_sla', models.TextField()),
                ('sample_audit_report', models.BinaryField(blank=True, null=True)),
                ('device_audit_pictures', models.TextField()),
                ('data_erasure_id', models.TextField()),
                ('payment_terms', models.TextField()),
                ('payment_methods', models.TextField()),
                ('service_provider_workflow_email', models.EmailField(max_length=50)),
                ('certifications', models.ManyToManyField(to='evercycle_models.certification')),
                ('headquarters_address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                                           related_name='headquarter_service_providers',
                                                           to='evercycle_models.address')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                                   to='evercycle_models.organization')),
                ('processor', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                                to='evercycle_models.processor')),
            ],
            options={
                'db_table': 'service_provider',
            },
        ),
        migrations.CreateModel(
            name='ServiceProviderService',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('name', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'services',
            },
        ),
        migrations.CreateModel(
            name='WorkflowType',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('name', models.CharField(max_length=50)),
            ],
            options={
                'db_table': 'workflow_type',
            },
        ),
        migrations.CreateModel(
            name='Workflow',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField()),
                ('name', models.CharField(max_length=50)),
                ('description', models.CharField(max_length=50)),
                ('start_date', models.DateTimeField()),
                ('created_by', models.IntegerField()),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('updated_by', models.IntegerField()),
                ('three_tier_grade', models.BooleanField()),
                ('gradescaletype', models.CharField(max_length=50)),
                ('notify_locks', models.BooleanField()),
                ('disable_email_notification', models.BooleanField()),
                ('test', models.BooleanField()),
                ('device_location_type', models.CharField(choices=[('co', 'Contiguous Us Only'), ('al', 'All USA'),
                                                                   ('ou', 'Outside contiguous Only')], default='al',
                                                          max_length=2)),
                ('device_location_type_conus_choice', models.TextField()),
                ('workflow_poc', models.CharField(max_length=50)),
                ('workflow_poc_email', models.CharField(max_length=50)),
                ('workflow_status', models.CharField(choices=[('ap', 'Approved'), ('pe', 'Pending'), ('ar', 'Archived')],
                                                     default='pe', max_length=10)),
                ('device_sample', models.CharField(max_length=50)),
                ('frequency_type', models.CharField(choices=[('w', 'WEEK'), ('d', 'DAY'), ('m', 'MONTH')], default='m',
                                                    max_length=5)),
                ('frequency', models.IntegerField()),
                ('carrier', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                              to='evercycle_models.carrier')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                                   to='evercycle_models.organization')),
                ('service_level_out', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                                        related_name='workflow_service_out',
                                                        to='evercycle_models.servicelevel')),
                ('service_level_return', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                                           related_name='workflows_service_return',
                                                           to='evercycle_models.servicelevel')),
                ('service_provider', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                                       to='evercycle_models.serviceprovider')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                           to='evercycle_models.workflowtype')),
                ('warehouse', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING,
                                                to='evercycle_models.processor')),
            ],
            options={
                'db_table': 'workflow',
            },
        ),
        migrations.AddField(
            model_name='serviceprovider',
            name='service_provider_services',
            field=models.ManyToManyField(to='evercycle_models.serviceproviderservice'),
        ),
        migrations.AddField(
            model_name='serviceprovider',
            name='warehouse_address',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                    related_name='warehouse_service_providers', to='evercycle_models.address'),
        ),
        migrations.AddField(
            model_name='carrier',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='evercycle_models.carriertype'),
        ),
    ]
